<<

# Methods

- Methods
- Methods in need of POD

# Methods

`initialize`

  Ensures the accessors for custom fields are always created.

`add_alias($alias)`

  Adds an alias to the internal respresentation of the bug. You will need to call update to make the changes permanent.

`remove_alias($alias)`

  Removes an alias from the internal respresentation of the bug. You will need to call update to make the changes permanent.

`update_user_last_visit($user, $last_visit)`

  Creates or updates a Bugzilla::BugUserLastVisit for this bug and the supplied $user, the timestamp given as $last_visit.

# Methods in need of POD

remove_cc
add_see_also
choices
keywords
blocked
qa_contact
add_comment
bug_severity
dup_id
set_priority
any_flags_requesteeble
set_bug_status
estimated_time
set_platform
statuses_available
set_custom_field
remove_see_also
remove_from_db
product_obj
reporter_accessible
set_summary
LogActivityEntry
set_assigned_to
add_group
bug_file_loc
DATE_COLUMNS
set_component
delta_ts
set_resolution
version
deadline
fields
dependson
check_can_change_field
update
set_op_sys
object_cache_key
bug_group
comments
map_fields
assigned_to
user
ValidateDependencies
short_desc
duplicate_ids
isopened
remaining_time
set_deadline
preload
groups_in
clear_resolution
set_estimated_time
in_group
status
get_activity
reporter
rep_platform
DB_COLUMNS
flag_types
bug_status
attachments
flags
set_flags
actual_time
component
UPDATE_COLUMNS
set_cclist_accessible
set_bug_ignored
product
VALIDATORS
show_attachment_flags
set_comment_is_private
set_severity
send_changes
add_tag
bug_id
reset_qa_contact
remove_group
set_dup_id
set_target_milestone
cc_users
everconfirmed
check_is_visible
check_for_edit
match
VALIDATOR_DEPENDENCIES
possible_duplicates
set_url
add_cc
blocks_obj
set_status_whiteboard
product_id
error
reset_assigned_to
status_whiteboard
create
set_all
set_reporter_accessible
classification_id
tags
modify_keywords
priority
keyword_objects
set_dependencies
depends_on_obj
cclist_accessible
cc
duplicates
component_obj
see_also
groups
default_bug_status
related_bugs
editable_bug_fields
resolution
lastdiffed
classification
alias
op_sys
remove_tag
percentage_complete
EmitDependList
bug_alias_to_id
set_qa_contact
creation_ts
set_version
component_id
new_bug_statuses
set_remaining_time
target_milestone

<<